Bug 1126190 - Failed to update numa_tune_mode under vm
Summary: Failed to update numa_tune_mode under vm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-api
Version: 3.5
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Gilad Chaplik
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-03 11:10 UTC by Artyom
Modified: 2016-02-10 19:42 UTC (History)
7 users (show)

Fixed In Version: vt4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:40:57 UTC
oVirt Team: SLA


Attachments (Terms of Use)

Description Artyom 2014-08-03 11:10:32 UTC
Description of problem:
Failed to update numa_tune_mode under vm

Version-Release number of selected component (if applicable):
ovirt-engine-3.5.0-0.0.master.20140722232058.git8e1babc.el6.noarch

How reproducible:
Always

Steps to Reproduce:
1. Create new vm, under vm you can see <numa_tune_mode>preferred</numa_tune_mode>
2. Try to change it via PUT to <numa_tune_mode>strict</numa_tune_mode>:
<vm>
<numa_tune_mode>strict</numa_tune_mode>
</vm>
3.

Actual results:
<fault>
<reason>Operation Failed</reason>
<detail>
[There was an attempt to change VM values while the VM is not down. Please shut down the VM in order to modify these properties.]
</detail>
</fault>

Expected results:
Operation success

Additional info:

Comment 2 Artyom 2014-09-28 15:04:42 UTC
Verified on rhevm-3.5.0-0.13.beta.el6ev.noarch

Comment 3 Sandro Bonazzola 2014-10-17 12:40:57 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.